Subject: Re: How to restrict access in ftp ?

From: [email-masked] (Paul Chang)
Date: Wed, 11 Sep 1996 14:02:46 -0700

Set /etc/passwd as ordinary passwd as
paul:x:20000:100:Guest ftp:/export/paul:/bin/sh
and chown paul /export/paul then you'll be able to have restrict access account.

--Paul(paulc)

                             \////  
                             |^ ^|
                             (@|@)
/------------------------oOO--(_)--OOo---------------------------\

     _/_/_/_/  _/     _/  _/_/_/_/    _/_/_/   _/_/_/_/    _/_/_/_/
    _/          _/   _/  _/     _/  _/    _/  _/          _/   
     _/_/_/     _/_/    _/_/_/_/   _/_/_/_/    _/_/_/    _/_/_/_/
         _/     _/     _/     _/  _/    _/         _/   _/ 
  _/_/_/_/     _/     _/_/_/_/   _/    _/   _/_/_/_/   _/_/_/_/

  Sybase, inc.                Phone: (510) 922-0152
  Paul Chang  CS S.A.         Fax:   (510) 922-8403
  1707 64TH Ave.          Email: [email-masked]
  Emeryville,CA 94608
*******************************************************************

---

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Thu, 12 Sep 1996 18:21:10 +1000 (EST)

What about running a shell script when wu-ftpd is called that chroot()'s the
server to a directory (suitably protected and containing the elements
necessary for the ftpd daemon ~ftp/bin ~ftp/etc .....etc ) having hard links
to each of the users home directories which have rw attributes for the
owners only.

Also the users have a restricted shell (rsh) defined in the passwd db and a
.profile which puts them in a subdirectory of $HOME and $PATH defined to
another subdirectory which is rx only for the binaries they need.

This should lock them into their home directories for both ftp and telnet,
rlogin etc.

I am going to try this myself. If any already know that it wont work, please
let me know.

Regards geofft

>Alain Magloire wrote:
>> 
>[someone else wrote:]
>> >
>> > Hi all,
>> >
>> > Is  possible to configure wu-ftp to alow users ftp only to theirs home
>> > directory and also let this users to login with a shell. I knows about
wu-ftp
>> >  guest count but with it I only could use false shell .
>> >
>> 
>> I'm not following ?
>> Why would you restrict ftp access and
>> then allowing full login capabilities ???
>> 
>> It's like locking the windows but
>> leaving the front door wide open.
>>
>Agreed. But what if he wants his guests to change their own passwords -
>how do you smart guys do that?
>
>Monika
>-- 
>+-------------------+---------------------+---------------------------+
>|                   | Andoya Rocket Range | Tel.:   +47 76141644      |
>| Monika Lie Larsen | Box 54              | Fax.:   +47 76141857      |
>| System Analyst    | N-8480 Andenes      | e-mail: [email-masked] |
>|                   | NORWAY              |                           |
>|                   |                     | private: +47 76142092     |
>|-------------------+---------------------+---------------------------|
>|                WWW URL:  http://www.arr.nsc.no                      |
>+---------------------------------------------------------------------+
>
>
Geoff Terry
Systems & Network Support
ACR Net
Sapphire Coast NSW 2550
Australia
Ph 064 923677
Mobile 015 668 227
Fax 064 924594